##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################
#
# Copyright (c) 2000 Andy McKay
# All rights reserved.
#
# Distributed under the Zope Public License (above)
#
##############################################################################
#
# No result and IP Filtering added by Aleksander Salwa, ololo@webcraft.pl
# Added April 14, 2001
#
##############################################################################
#
# More changes and additions - see changes.txt, chris@d-designz.co.nz
# Added May 15, 2002
#
##############################################################################

import FSCounter
from ImageFile import ImageFile

def initialize(context):
    try:
        context.registerClass(FSCounter.FSCounter, constructors = (FSCounter.manage_addFSCounterForm,FSCounter.manage_addFSCounter), icon='www/num.gif')
    except:
        # arrgh it didnt work.
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb

misc_ = {}
for x in range(0, 10):
    misc_['%d.gif' % x] = ImageFile('www/%d.gif' % x, globals())
    misc_['grey-%d.gif' % x] = ImageFile('www/grey-%d.gif' % x, globals())
    misc_['lcd-%d.gif' % x] = ImageFile('www/lcd-%d.gif' % x, globals())
    misc_['digi-%d.gif' % x] = ImageFile('www/digi-%d.gif' % x, globals())
